Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/java/org/gvsig/fmap/dal/serverexplorer/filesystem/swing/FilesystemExplorerWizardPanelView.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/java/org/gvsig/fmap/dal/serverexplorer/filesystem/swing/FilesystemExplorerWizardPanelView.java	(revision 0)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/java/org/gvsig/fmap/dal/serverexplorer/filesystem/swing/FilesystemExplorerWizardPanelView.java	(revision 43152)
@@ -0,0 +1,184 @@
+package org.gvsig.fmap.dal.serverexplorer.filesystem.swing;
+
+import com.jgoodies.forms.layout.CellConstraints;
+import com.jgoodies.forms.layout.FormLayout;
+import java.awt.BorderLayout;
+import java.awt.ComponentOrientation;
+import java.awt.Container;
+import java.awt.Dimension;
+import javax.swing.Box;
+import javax.swing.ImageIcon;
+import javax.swing.JButton;
+import javax.swing.JFrame;
+import javax.swing.JPanel;
+import javax.swing.JScrollPane;
+import javax.swing.JTable;
+
+
+public class FilesystemExplorerWizardPanelView extends JPanel
+{
+   JTable tableFiles = new JTable();
+   JButton btnAdd = new JButton();
+   JButton btnProperties = new JButton();
+   JButton btnRemove = new JButton();
+   JButton btnUp = new JButton();
+   JButton btnDown = new JButton();
+
+   /**
+    * Default constructor
+    */
+   public FilesystemExplorerWizardPanelView()
+   {
+      initializePanel();
+   }
+
+   /**
+    * Adds fill components to empty cells in the first row and first column of the grid.
+    * This ensures that the grid spacing will be the same as shown in the designer.
+    * @param cols an array of column indices in the first row where fill components should be added.
+    * @param rows an array of row indices in the first column where fill components should be added.
+    */
+   void addFillComponents( Container panel, int[] cols, int[] rows )
+   {
+      Dimension filler = new Dimension(10,10);
+
+      boolean filled_cell_11 = false;
+      CellConstraints cc = new CellConstraints();
+      if ( cols.length > 0 && rows.length > 0 )
+      {
+         if ( cols[0] == 1 && rows[0] == 1 )
+         {
+            /** add a rigid area  */
+            panel.add( Box.createRigidArea( filler ), cc.xy(1,1) );
+            filled_cell_11 = true;
+         }
+      }
+
+      for( int index = 0; index < cols.length; index++ )
+      {
+         if ( cols[index] == 1 && filled_cell_11 )
+         {
+            continue;
+         }
+         panel.add( Box.createRigidArea( filler ), cc.xy(cols[index],1) );
+      }
+
+      for( int index = 0; index < rows.length; index++ )
+      {
+         if ( rows[index] == 1 && filled_cell_11 )
+         {
+            continue;
+         }
+         panel.add( Box.createRigidArea( filler ), cc.xy(1,rows[index]) );
+      }
+
+   }
+
+   /**
+    * Helper method to load an image file from the CLASSPATH
+    * @param imageName the package and name of the file to load relative to the CLASSPATH
+    * @return an ImageIcon instance with the specified image file
+    * @throws IllegalArgumentException if the image resource cannot be loaded.
+    */
+   public ImageIcon loadImage( String imageName )
+   {
+      try
+      {
+         ClassLoader classloader = getClass().getClassLoader();
+         java.net.URL url = classloader.getResource( imageName );
+         if ( url != null )
+         {
+            ImageIcon icon = new ImageIcon( url );
+            return icon;
+         }
+      }
+      catch( Exception e )
+      {
+         e.printStackTrace();
+      }
+      throw new IllegalArgumentException( "Unable to load image: " + imageName );
+   }
+
+   /**
+    * Method for recalculating the component orientation for
+    * right-to-left Locales.
+    * @param orientation the component orientation to be applied
+    */
+   public void applyComponentOrientation( ComponentOrientation orientation )
+   {
+      // Not yet implemented...
+      // I18NUtils.applyComponentOrientation(this, orientation);
+      super.applyComponentOrientation(orientation);
+   }
+
+   public JPanel createPanel()
+   {
+      JPanel jpanel1 = new JPanel();
+      FormLayout formlayout1 = new FormLayout("FILL:4DLU:NONE,FILL:DEFAULT:GROW(1.0),FILL:4DLU:NONE,FILL:DEFAULT:NONE,FILL:4DLU:NONE","CENTER:2DLU:NONE,FILL:DEFAULT:GROW(1.0),CENTER:2DLU:NONE");
+      CellConstraints cc = new CellConstraints();
+      jpanel1.setLayout(formlayout1);
+
+      tableFiles.setName("tableFiles");
+      JScrollPane jscrollpane1 = new JScrollPane();
+      jscrollpane1.setViewportView(tableFiles);
+      jscrollpane1.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);
+      jscrollpane1.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED);
+      jpanel1.add(jscrollpane1,new CellConstraints(2,2,1,1,CellConstraints.DEFAULT,CellConstraints.FILL));
+
+      jpanel1.add(createPanel1(),new CellConstraints(4,2,1,1,CellConstraints.DEFAULT,CellConstraints.TOP));
+      addFillComponents(jpanel1,new int[]{ 1,2,3,4,5 },new int[]{ 1,2,3 });
+      return jpanel1;
+   }
+
+   public JPanel createPanel1()
+   {
+      JPanel jpanel1 = new JPanel();
+      FormLayout formlayout1 = new FormLayout("FILL:DEFAULT:NONE","CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:2DLU:NONE,CENTER:DEFAULT:NONE,CENTER:DEFAULT:GROW(1.0)");
+      CellConstraints cc = new CellConstraints();
+      jpanel1.setLayout(formlayout1);
+
+      btnAdd.setActionCommand("JButton");
+      btnAdd.setName("btnAdd");
+      btnAdd.setText("_add");
+      btnAdd.setToolTipText("_add");
+      jpanel1.add(btnAdd,cc.xy(1,1));
+
+      btnProperties.setActionCommand("JButton");
+      btnProperties.setName("btnProperties");
+      btnProperties.setText("_properties");
+      btnProperties.setToolTipText("_properties");
+      jpanel1.add(btnProperties,cc.xy(1,3));
+
+      btnRemove.setActionCommand("JButton");
+      btnRemove.setName("btnRemove");
+      btnRemove.setText("_remove");
+      btnRemove.setToolTipText("_remove");
+      jpanel1.add(btnRemove,cc.xy(1,5));
+
+      btnUp.setActionCommand("JButton");
+      btnUp.setName("btnUp");
+      btnUp.setText("_up");
+      btnUp.setToolTipText("_up");
+      jpanel1.add(btnUp,cc.xy(1,7));
+
+      btnDown.setActionCommand("JButton");
+      btnDown.setName("btnDown");
+      btnDown.setText("_down");
+      btnDown.setToolTipText("_down");
+      jpanel1.add(btnDown,cc.xy(1,9));
+
+      addFillComponents(jpanel1,new int[0],new int[]{ 2,4,6,8,10 });
+      return jpanel1;
+   }
+
+   /**
+    * Initializer
+    */
+   protected void initializePanel()
+   {
+      setLayout(new BorderLayout());
+      add(createPanel(), BorderLayout.CENTER);
+   }
+
+
+}
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/java/org/gvsig/fmap/dal/serverexplorer/filesystem/swing/FilesystemStoreParameteresCellRenderer.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/java/org/gvsig/fmap/dal/serverexplorer/filesystem/swing/FilesystemStoreParameteresCellRenderer.java	(revision 0)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/src/main/java/org/gvsig/fmap/dal/serverexplorer/filesystem/swing/FilesystemStoreParameteresCellRenderer.java	(revision 43152)
@@ -0,0 +1,82 @@
+package org.gvsig.fmap.dal.serverexplorer.filesystem.swing;
+
+import java.io.File;
+
+import javax.swing.table.DefaultTableCellRenderer;
+import javax.swing.table.TableCellRenderer;
+
+import org.cresques.cts.IProjection;
+
+import org.gvsig.fmap.dal.DataStore;
+import org.gvsig.fmap.dal.DataStoreParameters;
+import org.gvsig.fmap.dal.serverexplorer.filesystem.FilesystemStoreParameters;
+import org.gvsig.fmap.mapcontext.MapContext;
+import org.gvsig.tools.ToolsLocator;
+import org.gvsig.tools.i18n.I18nManager;
+
+
+/**
+ * @author fdiaz
+ *
+ */
+public class FilesystemStoreParameteresCellRenderer extends DefaultTableCellRenderer implements TableCellRenderer {
+
+    /**
+     *
+     */
+    private static final long serialVersionUID = 3360312241312140371L;
+
+    MapContext mapContext;
+
+    /**
+     * @param mapContext
+     */
+    public FilesystemStoreParameteresCellRenderer(MapContext mapContext) {
+        super();
+        this.mapContext = mapContext;
+    }
+
+
+    @Override
+    protected void setValue(Object value) {
+        FilesystemStoreParameters params = (FilesystemStoreParameters)value;
+
+        I18nManager i18nManager = ToolsLocator.getI18nManager();
+
+        File file = params.getFile();
+
+        StringBuilder builder = new StringBuilder();
+        builder.append("<html><p>");
+        builder.append("<b>");
+        builder.append(file.getName());
+        builder.append("</b></p>");//<font size=+2>");
+        builder.append("<p>");
+        builder.append("<font size=-2>");
+
+        IProjection projection = null;
+        if(params instanceof DataStoreParameters){
+            DataStoreParameters parameters = (DataStoreParameters)params;
+            if(parameters.hasDynValue(DataStore.METADATA_CRS)){
+                projection = (IProjection) parameters.getDynValue(DataStore.METADATA_CRS);
+            };
+        }
+        String crsText;
+        if(projection==null) {
+            crsText = i18nManager.getTranslation("_Unknown_CRS_so_assumed") + " "
+                + mapContext.getProjection().getAbrev();
+
+        } else {
+            if(!projection.equals(mapContext.getProjection())){
+                crsText = projection.getAbrev() + " ("+i18nManager.getTranslation("_reprojected_on_the_fly") + ") ";
+            } else {
+                crsText = projection.getAbrev();
+            }
+        }
+        builder.append(crsText);
+        builder.append("</font></p>");
+        builder.append("</html>");
+
+        super.setValue(builder.toString());
+    }
+
+}
